//#####################################################################
// Copyright 2021.
// This file is part of PhysBAM whose distribution is governed by the license contained in the accompanying file PHYSBAM_COPYRIGHT.txt.
//#####################################################################

#include <cstdio>
#include <functional>

template<int n> struct S{};

int factorial(int n)
{
    if(n==0) return 1;
    return n*factorial(n-1);
}

// TODO: make the commented out lines work.

// template<int n>
// S<factorial(n)> foo(S<n> s){return {};}

int main(int argc, char* argv[])
{
    // foo(S<4>());

    
    return 0;
}

